Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractDOMImplementation

    java.lang.Object
      org.apache.batik.dom.AbstractDOMImplementation

All Implemented Interfaces:
  Serializable, DOMImplementation

Direct Known Subclasses:
  ExtensibleDOMImplementation, GenericDOMImplementation

    public abstract class AbstractDOMImplementation

extends Object
implements DOMImplementation, Serializable

This class implements the `DOMImplementation`, `DOMImplementationCSS` interfaces.

See Also:
  Serialized Form

Field Summary
`protected HashTable` | `features` The supported features.

Constructor Summary
`protected` | `AbstractDOMImplementation()` Creates a new AbstractDOMImplementation object.

Method Summary
`DocumentEventSupport` | `createDocumentEventSupport()` Creates an DocumentEventSupport object suitable for use with this implementation.
`EventSupport` | `createEventSupport(AbstractNode n)` Creates an EventSupport object for a given node.
`Object` | `getFeature(String feature, String version)` DOM: Implements `DOMImplementation.getFeature(String,String)`.
`boolean` | `hasFeature(String feature, String version)` DOM: Implements `DOMImplementation.hasFeature(String,String)`.
`protected void` | `registerFeature(String name, Object value)` Registers a DOM feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType`

Field Detail

### features

    protected final HashTable features

  The supported features.

Constructor Detail

### AbstractDOMImplementation

    protected AbstractDOMImplementation()

  Creates a new AbstractDOMImplementation object.

Method Detail

### registerFeature

    protected void registerFeature(String name,
                                   Object value)

  Registers a DOM feature.

### hasFeature

    public boolean hasFeature(String feature,
                              String version)

  DOM: Implements `DOMImplementation.hasFeature(String,String)`.

  Specified by:
    `hasFeature` in interface `DOMImplementation`

### getFeature

    public Object getFeature(String feature,
                             String version)

  DOM: Implements `DOMImplementation.getFeature(String,String)`. No compound document support, so just return this DOMImlpementation where appropriate.

  Specified by:
    `getFeature` in interface `DOMImplementation`

### createDocumentEventSupport

    public DocumentEventSupport createDocumentEventSupport()

  Creates an DocumentEventSupport object suitable for use with this implementation.

### createEventSupport

    public EventSupport createEventSupport(AbstractNode n)

  Creates an EventSupport object for a given node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.